Bug 23119 - MARC21 added title 246, 730 subfield i should display before subfield a
Summary: MARC21 added title 246, 730 subfield i should display before subfield a
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: PC Windows
: P5 - low minor with 10 votes (vote)
Assignee: David Roberts
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-06-13 20:35 UTC by Heather
Modified: 2020-05-15 17:37 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
OPAC screenshot of $i incorrectly displaying after $a data in added title fields (39.46 KB, image/jpeg)
2019-06-13 20:35 UTC, Heather
Details
Bug 23119: MARC21 added title 246, 730 subfield i displays out of order, and should display before subfield a (5.60 KB, patch)
2020-04-06 23:46 UTC, David Roberts
Details | Diff | Splinter Review
Bug 23119: MARC21 added title 246, 730 subfield i displays out of order, and should display before subfield a (5.89 KB, patch)
2020-04-12 17:46 UTC, David Roberts
Details | Diff | Splinter Review
Bug 23119: MARC21 added title 246, 730 subfield i displays out of order, and should display before subfield a (5.95 KB, patch)
2020-04-22 16:32 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23119: MARC21 added title 246, 730 subfield i displays out of order, and should display before subfield a (6.01 KB, patch)
2020-05-02 13:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Heather 2019-06-13 20:35:48 UTC
Created attachment 90586 [details]
OPAC screenshot of $i incorrectly displaying after $a data in added title fields

The MARC21 Bibliographic Format for subfield i in the 246 field specifies putting a colon at the end of the text in that field, intending the data in that subfield to precede the title data, i.e.:
245	00$aBulletin of atomic scientists.
246	1#$iAt head of title:$aScience and public affairs$fJan. 1970-Apr. 1974
246	1#$iTitle on container:$aNew Brunswick royal gazette
246	1#$iAlternate issues published with title:$aChicago daily telegraph                            
But Koha displays the $i data *after* the title in the staff client and the OPAC, e.g. an example from our catalog:
https://keys.bywatersolutions.com/cgi-bin/koha/opac-detail.pl?biblionumber=27278
Displays in the OPAC as:
Other title: In the matter of the arbitration between FMC Corporation and United California Bank, Standard Oil Company of California, and Chevron Shipping Company [At head of title:] | Case no. 74-10-0165-76 [At head of title:] | GT-1 FMC opening [sic] brief [Binder's spine title:].

(It is the same in the staff client.)

This is the MARC version, with the $i data correctly preceding the $a data:
246 	1 		_iAt head of title:
_aIn the matter of the arbitration between FMC Corporation and United California Bank, Standard Oil Company of California, and Chevron Shipping Company
246 	1 		_iAt head of title:
_aCase no. 74-10-0165-76
246 	1 		_iBinder's spine title:
_aGT-1 FMC opening [sic] brief 

(Screen shot attached.)

MARC21 info here:
https://www.loc.gov/marc/bibliographic/bd246.html

OCLC follows the MARC21 standard, and OCLC Bibliographic Formats and Standards, also has these data examples:
245	0	0	Bulletin of atomic scientists.
246	1	 	ǂi At head of title: ǂa Science and public affairs ǂf January 1970-April 1974
245	0	0	Quartetti per archi.
246	1	 	ǂi Colophon title: ǂa Smyccove kvartety
246	1	 	ǂi Panel title: ǂa Welcome to big Wyoming
245	0	4	The Bluegrass album.
246	1	 	ǂi Volume 3 has title: ǂa California connection

So I have to input the colon at the end of data entered into the $i, and then it looks really weird displayed after the $a data in Koha.

The same is true for the $i in the 730 field, this example from 
https://www.loc.gov/marc/bibliographic/bd730.html
730 	0#$iMotion picture adaptation of (work):$4http://rdaregistry.info/Elements/w/P10129$aBeowulf.
Comment 1 David Roberts 2020-04-04 23:56:25 UTC
I don't think we even deliver MARC21slim2OPACDetail.xsl with subfield i enabled/included at the present time. However, it is a valid subfield so it probably should be added (and display in the right place before subfield a)
Comment 2 David Roberts 2020-04-06 23:03:24 UTC
I'm wrong, we do deliver it in the 246 (it displays in square brackets -no idea if this is correct or not), and it is in the Default framework. It's not in the framework for the 730 though.
Comment 3 David Roberts 2020-04-06 23:46:10 UTC
Created attachment 102471 [details] [review]
Bug 23119: MARC21 added title 246, 730 subfield i displays out of order, and should display before subfield a

This patch makes the subfield i display before subfield a in the 246 and
730 fields

To test:

1) Create a bibliographic record with data in several subfields in tags
246 and 730.
2) See that subfield i displays at the end of the field in the 246
field, and probably not at all in the 730 field. Check in both the OPAC
and staff client
3) Apply the patch.
4) Check your bib record again in both clients. Subfield i should now
display before subfield a.
Comment 4 David Roberts 2020-04-06 23:48:35 UTC
I've moved subfield i in the 246 field to the start of the field, and kept the existing punctuation (square brackets). I've also added subfield i to the 730 field as it previously didn't display. This subfield is delivered in the BK framework (although hidden by default), but not delivered at all in the Default framework. I have no idea if the punctuation is correct for this field - I've enclosed it in square brackets to be the same as the 246 field.
Comment 5 Katrin Fischer 2020-04-07 21:26:36 UTC
I think there should be no brackets as the field should end with a colon (:) added by the cataloger. There are exmaples in the library of congress documentation: http://www.loc.gov/marc/bibliographic/bd246.html
It also states "Subfield $i precedes subfield $a at the beginning of the field.", so we are on the right track here.
Comment 6 Heather 2020-04-08 14:53:54 UTC
I agree completely with Katrin--there should be no square brackets.

MARC21 documentation is in accordance with cataloging rules that reserve square brackets to indicate information supplied in the cataloging record that is NOT from the prescribed source of information, e.g., a title supplied by the cataloger, information from publisher's descriptions, etc.  So having square brackets around the 246 $i information is confusing and nonsensical--the information in the 246 $i is a label describing the data from the item in the 246 $a, so the data in 246 $i should never be enclosed in square brackets.

Likewise, there should be no square brackets in the display of the 730 $i.

Could the square brackets please be removed?

I'm so sorry that I didn't think to request that the square brackets in the display be removed in the first place--I realize now that it would have saved time.
Comment 7 David Roberts 2020-04-12 17:46:16 UTC
Created attachment 102773 [details] [review]
Bug 23119: MARC21 added title 246, 730 subfield i displays out of order, and should display before subfield a

This patch makes the subfield i display before subfield a in the 246 and
730 fields

To test:

1) Create a bibliographic record with data in several subfields in tags
246 and 730.
2) See that subfield i displays at the end of the field in the 246
field, and probably not at all in the 730 field. Check in both the OPAC
and staff client
3) Apply the patch.
4) Check your bib record again in both clients. Subfield i should now
display before subfield a.
Comment 8 David Roberts 2020-04-12 17:46:58 UTC
I've removed the square brackets now - please can you test it again? Many thanks!
Comment 9 ByWater Sandboxes 2020-04-22 16:32:46 UTC
Created attachment 103494 [details] [review]
Bug 23119: MARC21 added title 246, 730 subfield i displays out of order, and should display before subfield a

This patch makes the subfield i display before subfield a in the 246 and
730 fields

To test:

1) Create a bibliographic record with data in several subfields in tags
246 and 730.
2) See that subfield i displays at the end of the field in the 246
field, and probably not at all in the 730 field. Check in both the OPAC
and staff client
3) Apply the patch.
4) Check your bib record again in both clients. Subfield i should now
display before subfield a.

Signed-off-by: Heather Hernandez <heather_hernandez@nps.gov>
Comment 10 Katrin Fischer 2020-05-02 13:31:16 UTC
Created attachment 104186 [details] [review]
Bug 23119: MARC21 added title 246, 730 subfield i displays out of order, and should display before subfield a

This patch makes the subfield i display before subfield a in the 246 and
730 fields

To test:

1) Create a bibliographic record with data in several subfields in tags
246 and 730.
2) See that subfield i displays at the end of the field in the 246
field, and probably not at all in the 730 field. Check in both the OPAC
and staff client
3) Apply the patch.
4) Check your bib record again in both clients. Subfield i should now
display before subfield a.

Signed-off-by: Heather Hernandez <heather_hernandez@nps.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2020-05-02 13:32:03 UTC
Thx David and Heather, this was bugging me too!
Comment 12 Martin Renvoize 2020-05-04 07:55:06 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 13 Joy Nelson 2020-05-11 16:52:28 UTC
Backported to 19.11.x for 19.11.06
Comment 14 Lucas Gass 2020-05-15 17:37:41 UTC
backported to 19.05.x for 19.05.11